Bug 7733 - HidePatronName not working on moredetail
Summary: HidePatronName not working on moredetail
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL: koha/catalogue/moredetail.pl?biblionu...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 13:13 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
cardnumber instead of name showing (30.26 KB, image/png)
2012-03-19 13:13 UTC, Nicole C. Engard
Details
Bug 7733 - HidePatronName not working on moredetail (6.56 KB, patch)
2012-04-15 09:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
label in funny place (23.26 KB, image/png)
2012-04-15 20:24 UTC, Nicole C. Engard
Details
Bug 7733 - HidePatronName not working on moredetail (6.57 KB, patch)
2012-04-15 21:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7733 - HidePatronName not working on moredetail (6.64 KB, patch)
2012-04-15 23:42 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-03-19 13:13:35 UTC
Created attachment 8272 [details]
cardnumber instead of name showing

When I have HidePatronName set to SHOW it's not showing the patron name on the moredetail page anymore, it only shows the barcode no matter what I set the preference to.

The info is showing right on the detail page.
Comment 1 Katrin Fischer 2012-04-15 09:09:05 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-04-15 20:24:39 UTC
Created attachment 9209 [details]
label in funny place

The patch applies and shows the name right, but if the book is not checked out it puts the 'current renewals' label next to 'checkout status' instead of below it.
Comment 3 Katrin Fischer 2012-04-15 21:08:49 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2012-04-15 21:09:09 UTC
It was a missing &nbsp. :)
Comment 5 Nicole C. Engard 2012-04-15 23:42:31 UTC
Created attachment 9213 [details] [review]
[SIGNED-OFF] Bug 7733 - HidePatronName not working on moredetail

Patch implements HidePatronName system preference for 'Checkout status'
on moredetail (tab items from staff detail page).

Also adds some new 'if' statements, so 'Serial enumeration' and 'Paid for?' are
only shown when they are not empty.

Silences warns in the logs.

To test:
- Toggle system preference for an issued item and check name/cardnumber
are displayed correctly.
- Check serial enumeration and Paid for? show when not empty.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 6 Ian Walls 2012-04-16 14:34:09 UTC
Adds borrower name information to catalogue/moredetail if the system preference is set to show the patron name (keeps existing behavior of showing cardnumber otherwise).

Cleans up spacing, and adds conditional checks for several variables before trying to display them.  While technically out of scope for this bug report, these are minor changes and definite improvements, so they'll be given a pass.

Marking Passed QA.
Comment 7 Jared Camins-Esakov 2012-05-04 00:25:55 UTC
The patches for this bug do not apply to 3.6. If you want this included in 3.6.x, please rebase on 3.6.x and reset the version to rel_3_6.